Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.ws.policy
Interface PolicyBuilder

    public interface PolicyBuilder

PolicyBuilder provides methods to create Policy and PolicyReferenceObjects from DOM elements.

Method Summary
`org.apache.neethi.Policy` | `getPolicy(Element element)` Creates a Policy object from an DOM element.
`org.apache.neethi.Policy` | `getPolicy(InputStream stream)` Creates a Policy object from an InputStream.
`org.apache.neethi.PolicyReference` | `getPolicyReference(Element element)` Creates a PolicyReference object from a DOM element.
`org.apache.neethi.PolicyRegistry` | `getPolicyRegistry()` Return the PolicyRegistry associated with the builder

Method Detail

### getPolicyReference

    org.apache.neethi.PolicyReference getPolicyReference(Element element)

  Creates a PolicyReference object from a DOM element.

  Parameters:
    `element` - the element
  Returns:
    the PolicyReference object constructed from the element

### getPolicy

    org.apache.neethi.Policy getPolicy(Element element)

  Creates a Policy object from an DOM element.

  Parameters:
    `element` - the element
  Returns:
    the Policy object constructed from the element

### getPolicy

    org.apache.neethi.Policy getPolicy(InputStream stream)
                                       throws IOException,
                                              ParserConfigurationException,
                                              SAXException

  Creates a Policy object from an InputStream.

  Parameters:
    `stream` - the inputstream
  Returns:
    the Policy object constructed from the element
  Throws:
    `IOException`
    `ParserConfigurationException`
    `SAXException`

### getPolicyRegistry

    org.apache.neethi.PolicyRegistry getPolicyRegistry()

  Return the PolicyRegistry associated with the builder

  Returns:
    the PolicyRegistry

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF